import java.awt.*;
import java.awt.event.*;

/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 30.03.2011
  * @author
  */

public class ErsteAuswahlGUI extends Frame {
  // Anfang Variablen
  private Label Intro = new Label();
  private Button Deutsch = new Button();
  private Button Mathe = new Button();
  private Button Geschichte = new Button();
  private Button Sport = new Button();
  private Button Englisch = new Button();
  private Button Physik = new Button();
  private Button Erdkunde = new Button();
  private Button Musik = new Button();
  private Button Franzoesisch = new Button();
  private Button Biologie = new Button();
  private Button Paedagokik = new Button();
  private Button Kunsterziehung = new Button();
  private Button Spanisch = new Button();
  private Button Chemie = new Button();
  private Button Sowie = new Button();
  private Button Literatur = new Button();
  private Button Fach_hinzufuegen = new Button();
  // Ende Variablen

  public ErsteAuswahlGUI(String title) {
    // Frame-Initialisierung
    super(title);
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent evt) { System.exit(0); }
    });
    int frameWidth = 776;
    int frameHeight = 486;
    setSize(frameWidth, frameHeight);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    int x = (d.width - getSize().width) / 2;
    int y = (d.height - getSize().height) / 2 ;
    setLocation(x, y);
    Panel cp = new Panel(null);
    add(cp);
    // Anfang Komponenten

    Intro.setBounds(8, 0, 208, 24);
    Intro.setText("Bitte whlen Sie ihr Fach!");
    Intro.setFont(new Font("Franklin Gothic Medium", Font.ITALIC, 17));
    cp.add(Intro);
    Deutsch.setBounds(16, 80, 113, 41);
    Deutsch.setLabel("Deutsch");
    cp.add(Deutsch);
    Deutsch.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        DeutschActionPerformed(evt);
      }
    });

    Mathe.setBounds(192, 80, 113, 41);
    Mathe.setLabel("Mathe");
    cp.add(Mathe);
    Mathe.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        MatheActionPerformed(evt);
      }
    });

    Geschichte.setBounds(376, 80, 113, 41);
    Geschichte.setLabel("Geschichte");
    cp.add(Geschichte);
    Geschichte.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        GeschichteActionPerformed(evt);
      }
    });

    Sport.setBounds(552, 80, 113, 41);
    Sport.setLabel("Sport");
    cp.add(Sport);
    Sport.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        SportActionPerformed(evt);
      }
    });

    Englisch.setBounds(16, 160, 113, 41);
    Englisch.setLabel("Englisch");
    cp.add(Englisch);
    Englisch.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        EnglischActionPerformed(evt);
      }
    });

    Physik.setBounds(192, 160, 113, 41);
    Physik.setLabel("Physik");
    cp.add(Physik);
    Physik.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        PhysikActionPerformed(evt);
      }
    });

    Erdkunde.setBounds(376, 160, 115, 41);
    Erdkunde.setLabel("Erdkunde");
    cp.add(Erdkunde);
    Erdkunde.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        ErdkundeActionPerformed(evt);
      }
    });

    Musik.setBounds(552, 160, 115, 41);
    Musik.setLabel("Musik");
    cp.add(Musik);
    Musik.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        MusikActionPerformed(evt);
      }
    });

    Franzoesisch.setBounds(16, 240, 115, 41);
    Franzoesisch.setLabel("Franzoesisch");
    cp.add(Franzoesisch);
    Franzoesisch.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        FranzoesischActionPerformed(evt);
      }
    });

    Biologie.setBounds(192, 240, 115, 41);
    Biologie.setLabel("Biologie");
    cp.add(Biologie);
    Biologie.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        BiologieActionPerformed(evt);
      }
    });

    Paedagokik.setBounds(376, 240, 115, 41);
    Paedagokik.setLabel("Paedagokik");
    cp.add(Paedagokik);
    Paedagokik.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        PaedagokikActionPerformed(evt);
      }
    });

    Kunsterziehung.setBounds(552, 240, 115, 41);
    Kunsterziehung.setLabel("Kunsterziehung");
    cp.add(Kunsterziehung);
    Kunsterziehung.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        KunsterziehungActionPerformed(evt);
      }
    });

    Spanisch.setBounds(16, 320, 115, 41);
    Spanisch.setLabel("Spanisch");
    cp.add(Spanisch);
    Spanisch.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        SpanischActionPerformed(evt);
      }
    });

    Chemie.setBounds(192, 320, 115, 41);
    Chemie.setLabel("Chemie");
    cp.add(Chemie);
    Chemie.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        ChemieActionPerformed(evt);
      }
    });

    Sowie.setBounds(376, 320, 115, 41);
    Sowie.setLabel("Sowie");
    cp.add(Sowie);
    Sowie.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        SowieActionPerformed(evt);
      }
    });

    Literatur.setBounds(552, 320, 115, 41);
    Literatur.setLabel("Literatur");
    cp.add(Literatur);
    Literatur.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        LiteraturActionPerformed(evt);
      }
    });

    Fach_hinzufuegen.setBounds(552, 384, 113, 41);
    Fach_hinzufuegen.setLabel("Fach_hinzufuegen");
    cp.add(Fach_hinzufuegen);
    Fach_hinzufuegen.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent evt) {
        Fach_hinzufuegenActionPerformed(evt);
      }
    });

    // Ende Komponenten

    setResizable(false);
    setVisible(true);
  }

  // Anfang Ereignisprozeduren
  public void DeutschActionPerformed(ActionEvent evt) {

  }

  public void MatheActionPerformed(ActionEvent evt) {

  }

  public void GeschichteActionPerformed(ActionEvent evt) {

  }

  public void SportActionPerformed(ActionEvent evt) {

  }

  public void EnglischActionPerformed(ActionEvent evt) {

  }

  public void PhysikActionPerformed(ActionEvent evt) {

  }

  public void ErdkundeActionPerformed(ActionEvent evt) {

  }

  public void MusikActionPerformed(ActionEvent evt) {

  }

  public void FranzoesischActionPerformed(ActionEvent evt) {

  }

  public void BiologieActionPerformed(ActionEvent evt) {

  }

  public void PaedagokikActionPerformed(ActionEvent evt) {

  }

  public void KunsterziehungActionPerformed(ActionEvent evt) {

  }

  public void SpanischActionPerformed(ActionEvent evt) {

  }

  public void ChemieActionPerformed(ActionEvent evt) {

  }

  public void SowieActionPerformed(ActionEvent evt) {

  }

  public void LiteraturActionPerformed(ActionEvent evt) {

  }

  public void Fach_hinzufuegenActionPerformed(ActionEvent evt) {

  }

  // Ende Ereignisprozeduren

  public static void main(String[] args) {
    new ErsteAuswahlGUI("ErsteAuswahlGUI");
  }
}

