// Marienschule
// Graphische Benutzeroberflche zum Testen des geordneten Baumes
// Informatik Stufe 12, Januar 2011
import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import javax.swing.*; 

public class OrderedTreeGui extends JFrame implements ActionListener
{   
  String neu = "";
  String weg = "";
  JTextField TXT_Vorname;
  JTextField TXT_Nachname;
  JTextField TXT_Klausur;
  JTextArea TXTA_anzeige;
  OrderedTree myOrderedTree = new OrderedTree();
  List myList = new List();
    

  public OrderedTreeGui()
  {
    super("Testumgebung fr den geordneten Baum (String)");
    getContentPane().setBackground(Color.lightGray);
    getContentPane().setLayout(new FlowLayout());

    TXTA_anzeige = new JTextArea(2,60);
    getContentPane().add(TXTA_anzeige);
        
    TXT_Vorname = new JTextField("",10);
    getContentPane().add(TXT_Vorname);
    
    TXT_Nachname = new JTextField("",20) ;
    getContentPane().add(TXT_Nachname);
    
    TXT_Klausur = new JTextField("",25);
    getContentPane().add(TXT_Nachname);

    JButton BTN_einfuegen = new JButton("Einfgen");
    BTN_einfuegen.addActionListener(this);
    getContentPane().add(BTN_einfuegen);
    
    JButton BTN_loeschen = new JButton("Lschen");
    BTN_loeschen.addActionListener(this);
    getContentPane().add(BTN_loeschen);
    
  }
    
  public void actionPerformed(ActionEvent event)
  {
    String cmd = event.getActionCommand();
    if (cmd.equals("Einfgen"))
    {
      neu = TXT_Vorname.getText() + "" + TXT_Nachname.getText() + "" + TXT_Klausur.getText();
      SuchbaumObject neuItem = new SuchbaumObject();
      neuItem.setInhalt(neu);
      myOrderedTree.insertItem(neuItem);
      myList = myOrderedTree.getSortedList();
      zeigeListe();

    }
    if (cmd.equals("Lschen"))
    {
      weg = TXT_Vorname.getText() + "" + TXT_Nachname.getText() + "" + TXT_Klausur.getText();
      SuchbaumObject wegItem = new SuchbaumObject();
      wegItem.setInhalt(weg);
      myOrderedTree.removeItem(wegItem);
      myList = myOrderedTree.getSortedList();
      zeigeListe();
    }
  }

  public void zeigeListe()
  {
    TXTA_anzeige.setText("");
    if(myList.isEmpty() != true)
    {
      myList.toFirst();
      TXTA_anzeige.setText (((String) myList.getItem())+"  ");
      myList.next();
      while(myList.isBehind()==false)
      {
        TXTA_anzeige.append (((String) myList.getItem())+"  ");
        myList.next();
      }
    }

  }
    
}
