public class List
// Marienschule
// Listenklasse mit Zugriffsmethoden
// Informatik Stufe 12, August 2008
{
   private Element kopf;
   public Element aktuell;

   public List()
   {
      kopf = new Element("dummy");
      aktuell = kopf;
   }

   public boolean isEmpty()
   {
      if (kopf.getNachfolger()== null)
      return true;
      else return false;
   }
    
   public boolean isInFrontOf()
   {
      return (aktuell ==kopf);
   }

   public boolean isBehind()
   {
      return (aktuell == null);
   }

   public void next()
   {
      if (!isBehind())
      {
         aktuell = aktuell.getNachfolger();
      }
   }
     
   public void previous()
   {
      if(!isInFrontOf())
      {
         Element help =  aktuell;
         toFirst();
         if (!(aktuell==help))
         {
            while(aktuell.getNachfolger()!=help)
            {
              next();
            }
         }
         else aktuell = kopf;

      }
   }
     
   public void toFirst()
   {
      aktuell = kopf.getNachfolger();
   }
     
   public void toLast()
   {
      if(isEmpty())
      {
         aktuell=kopf;
      }
      else
      {
         toFirst();
         while(!(aktuell.getNachfolger()==null))
         {
            next();
         }
      }
   }
   
   public Object getItem()
   {
      if(isEmpty())
      {
         return null;
      }
      else if (isInFrontOf())
           {
              return null;
           }
           else if(isBehind())
                {
                   return null;
                }
                else
                {
                   return aktuell.getInhalt();
                }
   }

   public void replace(Object ersatz)
   {
      if(!isEmpty() & !isBehind() & !isInFrontOf())
      {
         aktuell.setInhalt(ersatz);
      }
   }
     
   public void insertBehind (Object pObject)
   {
      if(!isBehind())
      {
         Element neu = new Element(pObject,null);
         neu.setNachfolger(aktuell.getNachfolger());
         aktuell.setNachfolger(neu);
      }
   }

   public void insertInFrontOf (Object pObject)
   {
      if(!isInFrontOf())
      {
         Element neu = new Element(pObject,aktuell);
         Element help =aktuell;
         toFirst();
         if(aktuell==help)
         {
            kopf.setNachfolger(neu);
         }
         else
         {
            while(!(aktuell.getNachfolger()==help) )
            {
              next();
            }
            aktuell.setNachfolger(neu);
            aktuell=help;
         }
      }
   }
   
   public void remove()
   {
      if(!isBehind() && !isInFrontOf())
      {
        Element help = aktuell;
        previous();
        aktuell.setNachfolger(help.getNachfolger());
        aktuell = help.getNachfolger();
        
      }
   }
   
   public void addList(List pList)
    {
       if(!pList.isEmpty())
       {
          this.toLast();
          pList.toFirst();
          this.aktuell.setNachfolger(pList.aktuell);
       }
       pList = null;
       toLast();
    }
}













